For the complete documentation index, see llms.txt. This page is also available as Markdown.

Supported Bank List Query

Required for Some Cash and Banktransfer methods

This API is only used for Brazil (OpenFinance, PIXBiometria), Colombia (PSE), Chile (Khipu), and Argentina (Khipu).

The bank-list result could be different for the Test environment and the Prod environment. It is recommended to check the bank-list before each transaction.

Request Base URL

  Test Environment : https://gateway-test.pagsmile.com
  Prod Environment : https://gateway.pagsmile.com

EndPoints

  /trade/bank-list

Request Header

Parameter
Required
Description

Content-Type

recommend

application/json

Authorization

yes

Basic Base64(app_id:security_key)

Request Body (JSON format)

Parameter
Type
Required
Max Length(or Default Value)
Description

app_id

string

yes

32

created app's id at dashboard

timestamp

string

yes

19

yyyy-MM-dd HH:mm:ss

method

string

yes

32

Supported Method(OpenFinance, PIXBiometria, Khipu, or PSE)

Request Sample

curl --location --request POST 'https://gateway.pagsmile.com/trade/bank-list' \
--header 'Authorization: Basic Base64(appid:secret_key)' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "app_id",
    "timestamp": "{{datetime}}",
    "method": "{{method}}"
}'

Http Response (JSON format)

Parameter
Type
Description

code

string

return code

msg

string

return message

data.bank_id

string

bank id: used for parameter "bank"

data.bank_name

string

bank name

min_amount

string

min amount for this bank. Only for Khipu

data.detail

string

Return Code (Success)

Return Code (Fail)

Last updated